


NSRSTAGE(8)                                           NSRSTAGE(8)


NNAAMMEE
       nsrstage - NetWorker save set staging command

SSYYNNOOPPSSIISS
       nnssrrssttaaggee [ --vv ] [ --dd ] [ --ss _s_e_r_v_e_r ] [ --bb _p_o_o_l ] --mm --SS {
                --ff _f_i_l_e | _s_s_i_d_._._.  }

       nnssrrssttaaggee [ --vv ] [ --ss _s_e_r_v_e_r ] --CC --VV vvoolluummee

DDEESSCCRRIIPPTTIIOONN
       The nnssrrssttaaggee program is used on a manual basis to  migrate
       existing  save  sets.   Migration is the process of moving
       one or more save sets between volumes.  The process begins
       with  a  clone of the specific save sets to the new volume
       specified, followed by the deletion of cloned save  set(s)
       entries  from the media data base, and finally the removal
       of the save sets from the original  source  volume(s),  if
       possible.   The  second and the third operations are trig-
       gered by the successful completion of the previous  opera-
       tion.  The data is moved to new media volumes, making room
       for new data on the original volumes.

       Migration can be made onto any media  type  (for  example,
       save  sets  on a file volume can be migrated to an optical
       disk). The

       nnssrrssttaaggee program does not perform simple _v_o_l_u_m_e _m_i_g_r_a_t_i_o_n;
       it migrates full save sets.

       You  can  specify exactly which copy (clone) of a save set
       to use as the source (see the --SS option, below).

OOPPTTIIOONNSS
       --bb _p_o_o_l
              Specifies the name of the media pool to  which  the
              data  should be migrated.  The pool may be any pool
              currently registered with nnssrrdd(8) The possible val-
              ues  can be viewed by selecting the Pools menu item
              from the Administration menu of nnwwaaddmmiinn(8).  If you
              omit this option, the cloned save sets are automat-
              ically assigned to the _D_e_f_a_u_l_t _C_l_o_n_e pool.

       --mm     Performs the actual migration operation.

       --ss _s_e_r_v_e_r
              Specifies a NetWorker server to migrate  save  sets
              from.   See  nnssrr(8)  for  a  description  of server
              selection.  The default is the current system.

       --vv     Enables verbose operation.   In  this  mode,  addi-
              tional  messages  are displayed about the operation
              of nnssrrssttaaggee, such as save sets that cross  volumes,
              or save set series expansions.




NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        1





NSRSTAGE(8)                                           NSRSTAGE(8)


       --dd     Delete  the input file used to specify the save set
              identifiers that need to  be  staged.  This  option
              must  always  be specified in conjunction with a -f
              option.

       --CC     Instructs nnssrrssttaaggee to  perform  a  volume  cleaning
              operation.   Scans  a  volume for save sets with no
              entries in the media data base  and  recover  their
              space.   This  operation can only performed on file
              type volumes.

       --SS     Causes nnssrrssttaaggee to treat  subsequent  command  line
              parameters as save set identifiers.  Save set iden-
              tifiers are unsigned numbers.  You can find out the
              save  set identifier of a save set using the mmmmiinnffoo
              --vv command (see mmmmiinnffoo(8)).  The --SS option is  use-
              ful  when  you want to migrate individual save sets
              from a volume, or to migrate all save sets matching
              some  mmmmiinnffoo query.  See the examples below for one
              possible use.  The save set identifiers also  spec-
              ify  exactly which copy of a save set with multiple
              copies to use as  the  source.   To  specify  exact
              copies,  use  the _s_s_i_d_/_c_l_o_n_e_i_d format for each save
              set identifier.  In this case,  the  _s_s_i_d  and  the
              _c_l_o_n_e_i_d are unsigned numbers, separated by a single
              slash (/).  You can find out the _c_l_o_n_e_i_d for a par-
              ticular copy by using the mmmmiinnffoo --SS report.

       --ff _f_i_l_e
              Instructs nnssrrssttaaggee to read the save set identifiers
              from the file specified, instead of listing them on
              the command line. The values must be listed one per
              line in the input file. The _f_i_l_e  may  be  "-",  in
              which case the values are read from standard input.

       --VV     The name of the volume to be cleaned.  This  option
              can not be used with --SS oorr --mm options.

EEXXAAMMPPLLEESS
       Migrate save sets 11223344 aanndd 44556688 to a volume in the OOffffssiittee
       CClloonnee pool:
              nnssrrssttaaggee --bb ''OOffffssiittee CClloonnee'' --mm --SS 11223344 44556677

       Migrate clone instance 1122334455667788 ooff ssaavvee sseett 11223344 to a vol-
       ume in the DDeeffaauulltt CClloonnee pool:
              nnssrrssttaaggee --mm --SS 11223344//1122334455667788

       Migrate  all  save  sets  created since last Saturday to a
       volume in the DDeeffaauulltt CClloonnee pool:
              nnssrrssttaaggee --mm --SS ``mmmmiinnffoo --rr ssssiidd \\
                   --qq ''ssaavveettiimmee>>llaasstt ssaattuurrddaayy''``

       Recover space from volume jjuuppiitteerr..001133:
              nnssrrssttaaggee --CC --VV jjuuppiitteerr..001133



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        2





NSRSTAGE(8)                                           NSRSTAGE(8)


       Only complete save sets can be migrated by nnssrrssttaaggee(8):

SSEEEE AALLSSOO
       nnssrrcclloonnee((88)) nnssrr__ggeettddaattee(3), mmmmiinnffoo(8), nnssrr(8),
       nnssrr__ppooooll(5), nnssrrdd(8), nnssrrmmmmdd(8), nnwwaaddmmiinn(8).

DDIIAAGGNNOOSSTTIICCSS
       The exit status is zero if all of the requested save sets
       migrated successfully, non-zero otherwise.

       Several messages are printed denoting a temporary unavail-
       ability of nnssrrdd(8) for migrating data.  These are self-
       explanatory.  In addition, you may see a message from the
       following list.

       AAddddiinngg ssaavvee sseett sseerriieess wwhhiicchh iinncclluuddeess _s_s_i_d
              If running in verbose mode, this message is printed
              when nnssrrssttaaggee notices that a requested save set is
              continued, requiring the entire series to be
              migrated (even if only part of the series was spec-
              ified by the command line parameters).

       CCaannnnoott ccoonnttaacctt mmeeddiiaa ddaattaabbaassee oonn _s_e_r_v_e_r
              The media database (and most likely, other Net-
              Worker services as well) on the named server is not
              answering queries.  The server may need to be
              started, or if it was just started, it needs to
              finish its startup checks before answering queries.

       CCaannnnoott ooppeenn nnssrrssttaaggee sseessssiioonn wwiitthh _s_e_r_v_e_r
              This message is printed when the server is not
              accepting migration sessions.  A more detailed rea-
              son is printed on the previous line.

       _n_u_m_b_e_r iiss nnoott aa vvaalliidd ssaavvee sseett
              The given save set identifier is not valid.  Two
              forms are understood: simple save set identifiers
              and those with a cloneid specified.  Simple save
              set are unsigned numbers.  The save set with the
              cloneid form is specified as two unsigned numbers
              separated by a single slash (/).

       ssaavvee sseett _n_u_m_b_e_r ddooeess nnoott eexxiisstt
              The given save set (from a --SS save set list) does
              not exist.  Verify your save set identifiers using
              mmmmiinnffoo(8).

       ssaavvee sseett cclloonnee _n_u_m_b_e_r_/_c_l_o_n_e_i_d ddooeess nnoott eexxiisstt
              You specified a specific clone of a save set, but
              that save has no clones with that clone identifier.
              Verify your save set identifiers using mmmmiinnffoo(8).

       vvoolluummee _n_a_m_e ddooeess nnoott eexxiisstt
              The given volume, (if you specified the --VV option)



NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        3





NSRSTAGE(8)                                           NSRSTAGE(8)


              does not exist in the media database.

       wwaaiittiinngg 3300 sseeccoonnddss tthheenn rreettrryyiinngg
              A temporary error occurred and nnssrrssttaaggee will auto-
              matically retry its request until the condition is
              cleared.  For example if all of the devices are
              busy saving or recovering, nnssrrssttaaggee cannot use
              these devices and must wait for two of them to
              become free.

       SSppaaccee ccaann oonnllyy bbee rreeccoovveerrdd ffrroomm ffiillee ttyyppee ddeevviicceess..
              The given volume (if you specified the --VV option)
              is not a file type volume.  This message is also
              printed after a successfull migration of data from
              volumes of type other than file.










































NetWorker rt_1998_4Q.Build.MMaJrFcehra0l8_,0021000                        4


